Debian Bug report logs - #272581
pppoeconf configured xDSL link fail to start at reboot

Package: modutils; Maintainer for modutils is (unknown);

Reported by: Yojik77 <yojik77@club-internet.fr>

Date: Mon, 20 Sep 2004 21:33:05 UTC

Severity: serious

Tags: patch

Merged with 262941, 263224

Done: Thomas Hood <jdthood@aglu.demon.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#272581; Package pppoeconf. Full text and rfc822 format available.

Acknowledgement sent to Yojik77 <yojik77@club-internet.fr>:
New Bug report received and forwarded. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yojik77 <yojik77@club-internet.fr>
To: submit@bugs.debian.org
Subject: pppoeconf configured xDSL link fail to start at reboot
Date: Mon, 20 Sep 2004 23:36:47 +0200
Package: pppoeconf
Version: 1.0.4

Hello,

I've got two identical ethernet interfaces on my box : both of them are 
3com 3c905-TX. I've got a straight forwad ADSL connection (no proxy) 
with my Speedtouch Home Ethernet "modem" (Alcatel).

Unfortunately, there is something wrong.  When I do configure the 
ethernet concentrator on eth0, everything just works fine : detection, 
configuration (MTU, DNS, password+id) and at the end I ask for start at 
boot and immediate launch.
So, my connection is then up, fine for me. But at next re-boot, nothing 
happens. I see fastly a mention of rp-pppoe launch but that's all : 
nothing more. If I try to launch with pon dsl-provider as root : 
nothing. the only way to launch properly the connection is to 
re-configure eveything from the start with pppoeconf.


This mess is not completely new for me : I had got great difficulties to 
configure and establish my xDSL connections with my former Mandrake 
Distros (9.0, 9.1 et 9.2). I once thought it could be something wrong in 
rp-pppoe with 2 "twin" NICs !?
Actually, I did check and found nothing similar to my problem !
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=rp-pppoe

So, maybe, this bug will have to be moved later but in the first place, 
pppoeconf seems to be faulty !

I check dmesg but it's a short version , IMHO [see further] and I can't 
find the boot lines where rp-pppoe is launched and failed (how could I 
got a longer log ??).

Last and least, I already mentionned this bug in a previous report, but 
it was clearly out of topic (that bug is baseconfig related) :

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=264560

Hope this data logorrhea could be useful in some way !!

Best regards,

Yojik


Addenda
*******
*******

lspci output:
0000:00:00.0 Host bridge: Silicon Integrated Systems [SiS] 735 Host (rev 01)
0000:00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual 
PCI-to-PCI bridge (AGP)
0000:00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513 
(LPC Bridge)
0000:00:02.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 
Controller (rev 07)
0000:00:02.3 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 
Controller (rev 07)
0000:00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] 
(rev d0)
0000:00:0b.0 FireWire (IEEE 1394): Lucent Microelectronics FW323 (rev 04)
0000:00:0d.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M 
[Tornado] (rev 30)
0000:00:0f.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 
(rev 06)
0000:00:0f.1 Input device controller: Creative Labs SB Live! MIDI/Game 
Port (rev 06)
0000:00:11.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M 
[Tornado] (rev 74)
0000:01:00.0 VGA compatible controller: nVidia Corporation NV11 
[GeForce2 MX/MX 400] (rev a1)

**************************************************************************

lspci -n output:
0000:00:00.0 0600: 1039:0735 (rev 01)
0000:00:01.0 0604: 1039:0001
0000:00:02.0 0601: 1039:0008
0000:00:02.2 0c03: 1039:7001 (rev 07)
0000:00:02.3 0c03: 1039:7001 (rev 07)
0000:00:02.5 0101: 1039:5513 (rev d0)
0000:00:0b.0 0c00: 11c1:5811 (rev 04)
0000:00:0d.0 0200: 10b7:9200 (rev 30)
0000:00:0f.0 0401: 1102:0002 (rev 06)
0000:00:0f.1 0980: 1102:7002 (rev 06)
0000:00:11.0 0200: 10b7:9200 (rev 74)
0000:01:00.0 0300: 10de:0110 (rev a1)

**************************************************************************


dmesg output:
Linux version 2.4.26-1-386 (horms@tabatha) (gcc version 3.2.3 (Debian)) 
#1 Tue Aug 24 13:31:19 JST 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000027ff0000 (usable)
 BIOS-e820: 0000000027ff0000 - 0000000027ff8000 (ACPI data)
 BIOS-e820: 0000000027ff8000 - 0000000028000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffee0000 - 00000000fff00000 (reserved)
 BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
639MB LOWMEM available.
On node 0 totalpages: 163824
zone(0): 4096 pages.
zone(1): 159728 pages.
zone(2): 0 pages.
ACPI: RSDP (v000 AMI                                       ) @ 0x000fa310
ACPI: RSDT (v001 AMIINT SiS735XX 0x00001000 MSFT 0x0100000b) @ 0x27ff0000
ACPI: FADT (v001 AMIINT SiS735XX 0x00001000 MSFT 0x0100000b) @ 0x27ff0030
ACPI: DSDT (v001    SiS      735 0x00000100 MSFT 0x0100000d) @ 0x00000000
Kernel command line: root=/dev/hda5 ro
Local APIC disabled by BIOS -- reenabling.
Found and enabled local APIC!
Initializing CPU#0
Detected 1095.353 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 2182.34 BogoMIPS
Memory: 641936k/655296k available (1124k kernel code, 12972k reserved, 
469k data, 96k init, 0k highmem)
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode cache hash table entries: 65536 (order: 7, 524288 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 65536 (order: 6, 262144 bytes)
Page-cache hash table entries: 262144 (order: 8, 1048576 bytes)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 64K (64 bytes/line)
CPU:     After generic, caps: 0383fbff c1c7fbff 00000000 00000000
CPU:             Common caps: 0383fbff c1c7fbff 00000000 00000000
CPU: AMD Duron(tm) Processor stepping 00
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
POSIX conformance testing by UNIFIX
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 1095.3597 MHz.
..... host bus clock speed is 199.1561 MHz.
cpu: 0, clocks: 1991561, slice: 995780
CPU0<T0:1991552,T1:995760,D:12,S:995780,C:1991561>
ACPI: Subsystem revision 20040326
ACPI: Interpreter disabled.
PCI: PCI BIOS revision 2.10 entry at 0xfdb01, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: ACPI tables contain no PCI IRQ routing entries
PCI: Probing PCI hardware (bus 00)
PCI: Using IRQ router SIS5595 [1039/0008] at 00:02.0
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
devfs: v1.12c (20020818) Richard Gooch (rgooch@atnf.csiro.au)
devfs: boot_options: 0x0
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with HUB-6 MANY_PORTS MULTIPORT 
SHARE_IRQ SERIAL_PCI enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
COMX: driver version 0.85 (C) 1995-1999 ITConsult-Pro Co. <info@itc.hu>
RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP: routing cache hash table of 8192 buckets, 64Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
RAMDISK: cramfs filesystem found at block 0
RAMDISK: Loading 3924 blocks [1 disk] into ram disk... done.
Freeing initrd memory: 3924k freed
VFS: Mounted root (cramfs filesystem).
Freeing unused kernel memory: 96k freed
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ide: late registration of driver.
SIS5513: IDE controller at PCI slot 00:02.5
SIS5513: chipset revision 208
SIS5513: not 100% native mode: will probe irqs later
SIS5513: SiS735 ATA 100 (2nd gen) controller
    ide0: BM-DMA at 0xff00-0xff07, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xff08-0xff0f, BIOS settings: hdc:DMA, hdd:DMA
hda: ST360021A, ATA DISK drive
hdb: TOSHIBA DVD-ROM SD-M1612, ATAPI CD/DVD-ROM drive
blk: queue e8826f20, I/O limit 4095Mb (mask 0xffffffff)
hdc: LITE-ON LTR-32123S, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: attached ide-disk driver.
hda: 117231408 sectors (60022 MB) w/2048KiB Cache, CHS=116301/16/63, 
UDMA(100)
Partition check:
 /dev/ide/host0/bus0/target0/lun0: [PTBL] [7297/255/63] p1 < p5 p6 p7 
p8 p9 p10 p11 p12 p13 > p2 p3
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Adding Swap: 224900k swap-space (priority -1)
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,5), internal journal
hdb: attached ide-cdrom driver.
hdb: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
hdc: attached ide-cdrom driver.
hdc: ATAPI 40X CD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
PCI: Found IRQ 11 for device 00:0d.0
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
00:0d.0: 3Com PCI 3c905C Tornado at 0xd800. Vers LK1.1.18-ac
 00:04:75:7f:7d:69, IRQ 11
  product code 5357 rev 00.12 date 11-09-01
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 786d.
  Enabling bus-master transmits and whole-frame receives.
00:0d.0: scatter/gather enabled. h/w checksums enabled
PCI: Found IRQ 11 for device 00:11.0
PCI: Sharing IRQ 11 with 00:0b.0
See Documentation/networking/vortex.txt
00:11.0: 3Com PCI 3c905C Tornado at 0xd000. Vers LK1.1.18-ac
 00:04:76:ef:bf:b7, IRQ 11
  product code 5545 rev 00.13 date 04-22-02
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 7809.
  Enabling bus-master transmits and whole-frame receives.
00:11.0: scatter/gather enabled. h/w checksums enabled
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,12), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,13), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,11), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
MSDOS FS: IO charset iso8859-15
MSDOS FS: IO charset iso8859-15
MSDOS FS: IO charset iso8859-15
MSDOS FS: IO charset iso8859-15
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,10), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
spurious 8259A interrupt: IRQ7.
ohci1394: $Rev: 1045 $ Ben Collins <bcollins@debian.org>
PCI: Found IRQ 11 for device 00:0b.0
PCI: Sharing IRQ 11 with 00:11.0
ohci1394_0: Unexpected PCI resource length of 1000!
ohci1394_0: OHCI-1394 1.0 (PCI): IRQ=[11]  MMIO=[cfffd000-cfffd7ff]  Max 
Packet=[2048]
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00601d0000001b79]
SCSI subsystem driver Revision: 1.00
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
Creative EMU10K1 PCI Audio Driver, version 0.20, 13:36:45 Aug 24 2004
PCI: Found IRQ 11 for device 00:0f.0
PCI: Sharing IRQ 11 with 00:02.2
emu10k1: EMU10K1 rev 6 model 0x8027 found, IO at 0xd400-0xd41f, IRQ 11
ac97_codec: AC97 Audio codec, id: 0x8384:0x7609 (SigmaTel STAC9721/23)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
SiS router unknown request: (99)
SiS router unknown request: (99)
usb-ohci.c: USB OHCI at membase 0xe892c000, IRQ 11
usb-ohci.c: usb-00:02.3, Silicon Integrated Systems [SiS] USB 1.0 
Controller (#2)
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 3 ports detected
PCI: Found IRQ 11 for device 00:02.2
PCI: Sharing IRQ 11 with 00:0f.0
usb-ohci.c: USB OHCI at membase 0xe892e000, IRQ 11
usb-ohci.c: usb-00:02.2, Silicon Integrated Systems [SiS] USB 1.0 Controller
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 3 ports detected
hub.c: new USB device 00:02.2-1, assigned address 2
usb.c: USB device 2 (vend/prod 0x67b/0x2303) is not claimed by any 
active driver.
gameport0: Emu10k1 Gameport at 0xdc00 size 8 speed 1217 kHz
CSLIP: code copyright 1989 Regents of the University of California
PPP generic driver version 2.4.2
usb.c: registered new driver serial
usbserial.c: USB Serial support registered for Generic
usbserial.c: USB Serial Driver core v1.4
usbserial.c: USB Serial support registered for PL-2303
usbserial.c: PL-2303 converter detected
usbserial.c: PL-2303 converter now attached to ttyUSB0 (or usb/tts/0 for 
devfs)
pl2303.c: Prolific PL2303 USB to serial adaptor driver v0.10
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (5119 buckets, 40952 max) - 288 bytes per conntrack
Real Time Clock Driver v1.10f



Information forwarded to debian-bugs-dist@lists.debian.org, Eduard Bloch <blade@debian.org>:
Bug#272581; Package pppoeconf. Full text and rfc822 format available.

Acknowledgement sent to Testeur Debian <miskatonic-uv@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Eduard Bloch <blade@debian.org>. Full text and rfc822 format available.

Message #10 received at 272581@bugs.debian.org (full text, mbox):

From: Testeur Debian <miskatonic-uv@wanadoo.fr>
To: 272581@bugs.debian.org
Subject: Same bug in pppoeconf v. 1.0.11 (testing)
Date: Tue, 19 Oct 2004 20:53:32 +0200
I have exactly the same bug on my computer under Debian Sarge (Pre-rc2).

On each reboot pppoeconf/pppd doesn't work, when I try (as root) the
'pon dsl-provider' command, the message "RP-PPPoE plugin version 3.3
compiled against pppd 2.4.2" appears but nothing more happens... An
'ifconfig' or 'plog' command reveal that the ppp0 is inexistant and
there's no connection active. I'm forced to re-launch each reboot the
'pppoeconf' command to obtain a working connection (after that all work
fine). I try to edit manually the file /etc/ppp/peers/dsl-provider and
try a 'dpkg-reconfigure pppoeconf' command but the bug persist.

I use one network interface (eth0) a 3Com PCI 3c905C-TX (Tornado) with a
ethernet modem Alcatel Speed Touch Home.

Note:
On my second computer under Debian Woody (3.0r2) with pppoeconf v.
0.9.10.6 with the same equipment (another 3com PCI 3c905C-TX (Tornado)
on the same modem) I have no problem...

Thanx, Lionel


More information (copy/paste)


/var/log/messages output (when connection fail)

Oct 19 19:43:57 sarge pppd[1167]: Plugin rp-pppoe.so loaded.
Oct 19 19:43:57 sarge pppd[1167]: RP-PPPoE plugin version 3.3 compiled
against pppd 2.4.2
Oct 19 19:43:57 sarge pppd[1169]: pppd 2.4.2 started by root, uid 0
Oct 19 19:43:57 sarge pppd[1169]: PPP session is 1228
Oct 19 19:43:57 sarge pppd[1169]: Exit.
-----------------------------------------------------------------------------------

/var/log/messages output (when connection work -after doing pppoeconf)

Oct 19 19:46:03 sarge pppd[1277]: Plugin rp-pppoe.so loaded.
Oct 19 19:46:03 sarge pppd[1277]: RP-PPPoE plugin version 3.3 compiled
against pppd 2.4.2
Oct 19 19:46:03 sarge pppd[1279]: pppd 2.4.2 started by root, uid 0
Oct 19 19:46:04 sarge pppd[1279]: PPP session is 1303
Oct 19 19:46:04 sarge pppd[1279]: Using interface ppp0
Oct 19 19:46:04 sarge pppd[1279]: Connect: ppp0 <--> eth0
Oct 19 19:46:04 sarge pppd[1279]: Couldn't increase MTU to 1500
Oct 19 19:46:04 sarge pppd[1279]: Couldn't increase MRU to 1500
Oct 19 19:46:04 sarge pppd[1279]: Couldn't increase MRU to 1500
Oct 19 19:46:04 sarge pppd[1279]: CHAP authentication succeeded
Oct 19 19:46:04 sarge pppd[1279]: peer from calling number
00:90:1A:40:B5:35 authorized
Oct 19 19:46:04 sarge pppd[1279]: local  IP address 82.x.x.x
Oct 19 19:46:04 sarge pppd[1279]: remote IP address 193.x.x.x
Oct 19 19:46:04 sarge pppd[1279]: primary   DNS address 80.x.x.x
Oct 19 19:46:04 sarge pppd[1279]: secondary DNS address 80.x.x.x
-----------------------------------------------------------------------------------

lspci output

0000:00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host
bridge (rev 02)
0000:00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP
bridge (rev 02)
0000:00:04.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
0000:00:04.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
0000:00:04.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev
01)
0000:00:04.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
0000:00:06.0 SCSI storage controller: Adaptec AHA-2940U2/U2W / 7890/7891
0000:00:09.0 Display controller: Texas Instruments TVP4020 [Permedia 2]
(rev 01)0000:00:0b.0 Ethernet controller: 3Com Corporation
3c905C-TX/TX-M [Tornado] (rev 30)
-----------------------------------------------------------------------------------

lspci -n output

0000:00:00.0 0600: 8086:7190 (rev 02)
0000:00:01.0 0604: 8086:7191 (rev 02)
0000:00:04.0 0601: 8086:7110 (rev 02)
0000:00:04.1 0101: 8086:7111 (rev 01)
0000:00:04.2 0c03: 8086:7112 (rev 01)
0000:00:04.3 0680: 8086:7113 (rev 02)
0000:00:06.0 0100: 9005:001f
0000:00:09.0 0380: 104c:3d07 (rev 01)
0000:00:0b.0 0200: 10b7:9200 (rev 30)
-----------------------------------------------------------------------------------

dmesg output

Linux version 2.4.27-1-386 (joshk@trollwife) (gcc version 3.3.4 (Debian
1:3.3.4-9)) #1 Fri Sep 3 06:24:46 UTC 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000fffd000 (usable)
 BIOS-e820: 000000000fffd000 - 000000000ffff000 (ACPI data)
 BIOS-e820: 000000000ffff000 - 0000000010000000 (ACPI NVS)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
255MB LOWMEM available.
found SMP MP-table at 000f6ce0
hm, page 000f6000 reserved twice.
hm, page 000f7000 reserved twice.
hm, page 000f6000 reserved twice.
hm, page 000f7000 reserved twice.
On node 0 totalpages: 65533
zone(0): 4096 pages.
zone(1): 61437 pages.
zone(2): 0 pages.
ACPI disabled because your bios is from 98 and too old
You can enable it with acpi=force
ASUS P2B-DS detected: force use of acpi=ht
ACPI: RSDP (v000 ASUS                                      ) @
0x000f7ef0
ACPI: RSDT (v001 ASUS   P2B-DS   0x00000000  0x00000000) @ 0x0fffd000
ACPI: FADT (v001 ASUS   P2B-DS   0x00000000  0x00000000) @ 0x0fffd080
ACPI: BOOT (v001 ASUS   P2B-DS   0x00000000  0x00000000) @ 0x0fffd040
ACPI: DSDT (v001   ASUS P2B-DS   0x00001000 MSFT 0x01000001) @
0x00000000
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: OEM00000 Product ID: PROD00000000 APIC at: 0xFEE00000
Processor #1 Pentium(tm) Pro APIC version 17
Processor #0 Pentium(tm) Pro APIC version 17
I/O APIC #2 Version 17 at 0xFEC00000.
Enabling APIC mode: Flat.       Using 1 I/O APICs
Processors: 2
Kernel command line: root=/dev/sdb1 ro
Initializing CPU#0
Detected 300.690 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 599.65 BogoMIPS
Memory: 253216k/262132k available (1065k kernel code, 8528k reserved,
457k data, 96k init, 0k highmem)
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
CPU:     After generic, caps: 0183fbff 00000000 00000000 00000000
CPU:             Common caps: 0183fbff 00000000 00000000 00000000
CPU: Intel Pentium II (Deschutes) stepping 02
Enabling fast FPU save and restore... done.
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
POSIX conformance testing by UNIFIX
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
ENABLING IO-APIC IRQs
Setting 2 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 2 ... ok.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 2-0, 2-10, 2-11, 2-13, 2-16, 2-18, 2-20, 2-21,
2-22, 2-23 not connected.
..TIMER: vector=0x31 pin1=2 pin2=0
number of MP IRQ sources: 17.
number of IO-APIC #2 registers: 24.
testing the IO APIC.......................

IO APIC #2......
.... register #00: 02000000
.......    : physical APIC id: 02
.......    : Delivery Type: 0
.......    : LTS          : 0
.... register #01: 00170011
.......     : max redirection entries: 0017
.......     : PRQ implemented: 0
.......     : IO APIC version: 0011
.... register #02: 00000000
.......     : arbitration: 00
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 000 00  1    0    0   0   0    0    0    00
 01 001 01  0    0    0   0   0    1    1    39
 02 001 01  0    0    0   0   0    1    1    31
 03 001 01  0    0    0   0   0    1    1    41
 04 001 01  0    0    0   0   0    1    1    49
 05 001 01  0    0    0   0   0    1    1    51
 06 001 01  0    0    0   0   0    1    1    59
 07 001 01  0    0    0   0   0    1    1    61
 08 001 01  0    0    0   0   0    1    1    69
 09 001 01  0    0    0   0   0    1    1    71
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 001 01  0    0    0   0   0    1    1    79
 0d 000 00  1    0    0   0   0    0    0    00
 0e 001 01  0    0    0   0   0    1    1    81
 0f 001 01  0    0    0   0   0    1    1    89
 10 000 00  1    0    0   0   0    0    0    00
 11 001 01  1    1    0   1   0    1    1    91
 12 000 00  1    0    0   0   0    0    0    00
 13 001 01  1    1    0   1   0    1    1    99
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 000 00  1    0    0   0   0    0    0    00
IRQ to pin mappings:
IRQ0 -> 0:2
IRQ1 -> 0:1
IRQ3 -> 0:3
IRQ4 -> 0:4
IRQ5 -> 0:5
IRQ6 -> 0:6
IRQ7 -> 0:7
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ12 -> 0:12
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ17 -> 0:17
IRQ19 -> 0:19
.................................... done.
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 300.6922 MHz.
..... host bus clock speed is 66.8204 MHz.
cpu: 0, clocks: 668204, slice: 334102
CPU0<T0:668192,T1:334080,D:10,S:334102,C:668204>
ACPI: Subsystem revision 20040326
ACPI: Interpreter disabled.
PCI: PCI BIOS revision 2.10 entry at 0xf0750, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Using IRQ router PIIX/ICH [8086/7110] at 00:04.0
PCI->APIC IRQ transform: (B0,I4,P3) -> 19
PCI->APIC IRQ transform: (B0,I6,P0) -> 19
PCI->APIC IRQ transform: (B0,I9,P0) -> 19
PCI->APIC IRQ transform: (B0,I11,P0) -> 17
Limiting direct PCI/PCI transfers.
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
devfs: v1.12c (20020818) Richard Gooch (rgooch@atnf.csiro.au)
devfs: boot_options: 0x0
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with HUB-6 MANY_PORTS MULTIPORT
SHARE_IRQ SERIAL_PCI enabled
COMX: driver version 0.85 (C) 1995-1999 ITConsult-Pro Co. <info@itc.hu>
RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
RAMDISK: cramfs filesystem found at block 0
RAMDISK: Loading 3788 blocks [1 disk] into ram disk... done.
Freeing initrd memory: 3788k freed
VFS: Mounted root (cramfs filesystem).
Freeing unused kernel memory: 96k freed
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
SCSI subsystem driver Revision: 1.00
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
        <Adaptec aic7890/91 Ultra2 SCSI adapter>
        aic7890/91: Ultra2 Wide Channel A, SCSI Id=7, 32/253 SCBs

(scsi0:A:0): 40.000MB/s transfers (20.000MHz, offset 31, 16bit)
  Vendor: QUANTUM   Model: XP34550W          Rev: LXY4
  Type:   Direct-Access                      ANSI SCSI revision: 02
(scsi0:A:1): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)
  Vendor: IBM       Model: DDYS-T09170N      Rev: S80D
  Type:   Direct-Access                      ANSI SCSI revision: 03
(scsi0:A:2): 80.000MB/s transfers (40.000MHz, offset 63, 16bit)
  Vendor: IBM       Model: DDYS-T09170N      Rev: S80D
  Type:   Direct-Access                      ANSI SCSI revision: 03
(scsi0:A:3): 20.000MB/s transfers (20.000MHz, offset 15)
  Vendor: PLEXTOR   Model: CD-ROM PX-40TS    Rev: 1.10
  Type:   CD-ROM                             ANSI SCSI revision: 02
(scsi0:A:4): 20.000MB/s transfers (20.000MHz, offset 15)
  Vendor: YAMAHA    Model: CRW8424S          Rev: 1.0d
  Type:   CD-ROM                             ANSI SCSI revision: 02
scsi0:A:0:0: Tagged Queuing enabled.  Depth 8
scsi0:A:1:0: Tagged Queuing enabled.  Depth 8
scsi0:A:2:0: Tagged Queuing enabled.  Depth 8
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
Attached scsi disk sdc at scsi0, channel 0, id 2, lun 0
SCSI device sda: 8890760 512-byte hdwr sectors (4552 MB)
Partition check:
 /dev/scsi/host0/bus0/target0/lun0:
SCSI device sdb: 17916240 512-byte hdwr sectors (9173 MB)
 /dev/scsi/host0/bus0/target1/lun0: p1 p2 p3 p4 < p5 p6 p7 p8 >
SCSI device sdc: 17916240 512-byte hdwr sectors (9173 MB)
 /dev/scsi/host0/bus0/target2/lun0: unknown partition table
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Adding Swap: 747012k swap-space (priority -1)
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,17), internal journal
Real Time Clock Driver v1.10f
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 3, lun 0
Attached scsi CD-ROM sr1 at scsi0, channel 0, id 4, lun 0
sr0: scsi-1 drive
Uniform CD-ROM driver Revision: 3.12
sr1: scsi3-mmc drive: 24x/16x writer cd/rw xa/form2 cdda tray
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,19), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,24), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,21), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,23), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,22), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 203M
agpgart: Detected Intel 440BX chipset
agpgart: AGP aperture is 32M @ 0xe6000000
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
See Documentation/networking/vortex.txt
00:0b.0: 3Com PCI 3c905C Tornado at 0xb800. Vers LK1.1.18-ac
 00:04:75:7e:fa:2f, IRQ 17
  product code 5357 rev 00.12 date 11-08-01
  Internal config register is 1800000, transceivers 0xa.
  8K byte-wide RAM 5:3 Rx:Tx split, autoselect/Autonegotiate interface.
  MII transceiver found at address 24, status 786d.
  Enabling bus-master transmits and whole-frame receives.
00:0b.0: scatter/gather enabled. h/w checksums enabled
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 06:26:46 Sep  3 2004
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xd400, IRQ 19
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
shpchp: acpi_shpchprm:get_device PCI ROOT HID fail=0x1001
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
pciehp: acpi_pciehprm:get_device PCI ROOT HID fail=0x1001
CSLIP: code copyright 1989 Regents of the University of California
PPP generic driver version 2.4.2
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (2047 buckets, 16376 max) - 288 bytes per
conntrack





Bug reassigned from package `pppoeconf' to `modutils'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 262941 263224 272581. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Eduard Bloch <blade@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#272581; Package modutils. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. Full text and rfc822 format available.

Message #23 received at 272581@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 22507@bugs.debian.org, 41801@bugs.debian.org, 54967@bugs.debian.org, 54999@bugs.debian.org, 69754@bugs.debian.org, 70557@bugs.debian.org, 76209@bugs.debian.org, 90486@bugs.debian.org, 110732@bugs.debian.org, 116162@bugs.debian.org, 118647@bugs.debian.org, 132401@bugs.debian.org, 140776@bugs.debian.org, 146819@bugs.debian.org, 150423@bugs.debian.org, 159078@bugs.debian.org, 160454@bugs.debian.org, 165098@bugs.debian.org, 166531@bugs.debian.org, 166713@bugs.debian.org, 166943@bugs.debian.org, 173746@bugs.debian.org, 173938@bugs.debian.org, 174181@bugs.debian.org, 194502@bugs.debian.org, 203578@bugs.debian.org, 206205@bugs.debian.org, 210516@bugs.debian.org, 215855@bugs.debian.org, 219206@bugs.debian.org, 220382@bugs.debian.org, 228031@bugs.debian.org, 228258@bugs.debian.org, 228688@bugs.debian.org, 230020@bugs.debian.org, 243681@bugs.debian.org, 253508@bugs.debian.org, 262941@bugs.debian.org, 263224@bugs.debian.org, 267112@bugs.debian.org, 272581@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Consolidated patch for all of these bugs
Date: Wed, 27 Oct 2004 14:57:11 +0200
[Message part 1 (text/plain, inline)]
tags 22507 patch
tags 41801 patch
tags 54967 patch
tags 54999 patch
tags 69754 patch
tags 70557 patch
tags 76209 patch
tags 90486 patch
tags 110732 patch
tags 116162 patch
tags 118647 patch
tags 132401 patch
tags 140776 patch
tags 146819 patch
tags 150423 patch
tags 150423 patch
tags 150423 patch
tags 159078 patch
tags 160454 patch
tags 165098 patch
tags 166531 patch
tags 166713 patch
tags 166943 patch
tags 173746 patch
tags 173938 patch
tags 174181 patch
tags 194502 patch
tags 203578 patch
tags 206205 patch
tags 210516 patch
tags 215855 patch
tags 219206 patch
tags 220382 patch
tags 228031 patch
tags 228258 patch
tags 228688 patch
tags 230020 patch
tags 243681 patch
tags 253508 patch
tags 262941 patch
tags 263224 patch
tags 267112 patch
tags 272581 patch
thanks

Attached is a consolidated patch to fix all of these longstanding bugs, I 
was considering a NMU to fix the PPPOE-related RC bugs, but it seems it 
won't be necessary for now. I just hope that the maintainer takes over this 
patch and includes it in a new modutils package soon.

Prepared packages are available at 
http://people.debian.org/~jfs/NMU/modutils/
Feel free to test them and report to the appropiate bug reports.

Regards

Javier

[NMU-modutils-2.diff.gz (application/octet-stream, attachment)]

Tags added: patch Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Javier Fernandez-Sanguino Pen~a <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Javier Fernandez-Sanguino Pen~a <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Javier Fernandez-Sanguino Pen~a <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: sarge Request was from jdthood@localhost.tudelft.nl (Thomas Hood) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thomas Hood <jdthood@aglu.demon.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Yojik77 <yojik77@club-internet.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 263224-done@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 263224-done@bugs.debian.org
Subject: Fixed version is now in testing
Date: Tue, 09 Nov 2004 08:40:18 +0100
Version 2.4.26-1.1 of modutils which supposedly fixes this bug is now in
testing.

-- 
Thomas Hood




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:26:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.